Bug 496016 - Running operation status icon's about dialog does not close if there's a running operation
Running operation status icon's about dialog does not close if there's a runn...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-15 21:24 EDT by Diego Escalante Urrelo
Modified: 2010-03-23 06:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-23 06:26:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Diego Escalante Urrelo 2009-04-15 21:24:49 EDT
Description of problem:
The "About" dialog of the StatusIcon for "running tasks" of PK does not close when some task is running. It won't react to clicks until tasks are done.

Version-Release number of selected component (if applicable):
PackageKit-yum-plugin-0.4.6-2.fc11.i586
PackageKit-glib-0.4.6-2.fc11.i586
PackageKit-gstreamer-plugin-0.4.6-2.fc11.i586
gnome-packagekit-2.27.1-1.fc11.i586
PackageKit-gtk-module-0.4.6-2.fc11.i586
PackageKit-0.4.6-2.fc11.i586
PackageKit-yum-0.4.6-2.fc11.i586

How reproducible:
Always

Steps to Reproduce:
1. Install a package or something that causes the long task running icon to appear in the tray
2. click 'About' in the icon menu
3. About dialog does not react, can't be closed until the task finishes.
Comment 1 Richard Hughes 2009-06-03 05:25:27 EDT
Is this better with the latest version in rawhide?
Comment 2 Bug Zapper 2009-06-09 09:53:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.